
Redmine - Defect #18883

Slow rendering of large textile tables

2015-01-18 20:19 - Имя Фамилия

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.6.2   

Resolution: Fixed Affected version: 2.5.3

Description

Large tables are not a page to load. An example of a large table: table 256×256

Associated revisions

Revision 13913 - 2015-01-18 23:57 - Jean-Philippe Lang

#shelve should not be called if cell doesn't match attributes regexp (#18883).

Revision 13918 - 2015-01-19 21:38 - Jean-Philippe Lang

Faster textile table parsing by using a single scan instead of a regexp matching for each cell (#18883).

Revision 13919 - 2015-01-19 21:46 - Jean-Philippe Lang

Makes RedCloth3#retrieve MUCH faster (#18883).

Revision 14019 - 2015-02-18 12:31 - Jean-Philippe Lang

Merged r13913, r13918 and r13919 (#18883).

History

#1 - 2015-01-18 20:23 - Имя Фамилия

An example of a large table: http://demo.redmine.org/projects/s4loszfaj70dht0zbrco0jc3l3v4uydv/wiki/%D1%82

#2 - 2015-01-18 23:56 - Jean-Philippe Lang

- Subject changed from Large tables are not a page to load to Slow rendering of large textile tables

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.2

#3 - 2015-01-19 21:54 - Jean-Philippe Lang

- Category set to Text formatting

- Status changed from New to Resolved

- Resolution set to Fixed

This is fixed with a few changes, the rendering of this table with 65k cells now takes about a second (400x faster).

#4 - 2015-02-18 12:31 - Jean-Philippe Lang

- Status changed from Resolved to Closed
